From dc44548bf58a1688292e5419f4f5ae06136e759c Mon Sep 17 00:00:00 2001
From: Amit Kapila <akapila@postgresql.org>
Date: Sat, 15 Jul 2023 09:34:41 +0530
Subject: [PATCH v5] Doc: Update the logical replication restriction w.r.t
 Replica Identity Full.

Author: Kuroda Hayato
Reviewed-by: Peter Smith, Sergei Kornilov, Amit Kapila
Discussion: https://postgr.es/m/TYAPR01MB58662174ED62648E0D611194F530A@TYAPR01MB5866.jpnprd01.prod.outlook.com
---
 doc/src/sgml/logical-replication.sgml | 13 +++++++++++++
 1 file changed, 13 insertions(+)

diff --git a/doc/src/sgml/logical-replication.sgml b/doc/src/sgml/logical-replication.sgml
index e71f4bac69..fbf8ad669e 100644
--- a/doc/src/sgml/logical-replication.sgml
+++ b/doc/src/sgml/logical-replication.sgml
@@ -1622,6 +1622,19 @@ CONTEXT:  processing remote data for replication origin "pg_16395" during "INSER
      parameter of <command>CREATE PUBLICATION</command>).
     </para>
    </listitem>
+
+   <listitem>
+    <para>
+     When using
+     <link linkend="sql-altertable-replica-identity-full"><literal>REPLICA IDENTITY FULL</literal></link>
+     on published tables, it is important to note that the <literal>UPDATE</literal>
+     and <literal>DELETE</literal> operations cannot be applied to subscribers
+     if the tables include attributes with datatypes (such as point or box)
+     that do not have a default operator class for B-tree or Hash. However,
+     this limitation can be overcome by ensuring that the table has a primary
+     key or replica identity defined for it.
+    </para>
+   </listitem>
   </itemizedlist>
  </sect1>
 
-- 
2.39.1

